Quick Reference for AI Agents & Developers
- Build request:
GroupsRequest.GroupsRequestBuilder().set(limit:).build() - Fetch groups:
groupsRequest.fetchNext(onSuccess:onError:) - Get single group:
CometChat.getGroup(GUID:onSuccess:onError:) - Online count:
CometChat.getOnlineGroupMemberCount(_:onSuccess:onError:) - Filters:
.set(searchKeyword:),.set(joinedOnly:),.set(tags:),.withTags(_:) - Related: Create Group · Join Group · Groups Overview
Group Data Model
TheGroup class represents a CometChat group with all its properties.
- Swift
Group Properties
Sample Payload - Group Object
Sample Payload - Group Object
Group Object Properties:
Metadata Properties (when present):
Retrieve List of Groups
In other words, as a logged-in user, how do I retrieve the list of groups I’ve joined and groups that are available? In order to fetch the list of groups, you can use theGroupsRequest class. To use this class i.e to create an object of the GroupsRequest class, you need to use the GroupsRequestBuilder class. The GroupsRequestBuilder class allows you to set the parameters based on which the groups are to be fetched.
GroupsRequestBuilder Methods
Sample Payload - GroupsRequestBuilder
Sample Payload - GroupsRequestBuilder
Builder Configuration:
Common Filter Combinations:
Set Limit
This method sets the limit i.e. the number of groups that should be fetched in a single iteration.- Swift
Set Search Keyword
This method allows you to set the search string based on which the groups are to be fetched.- Swift
Joined Only
This method when used, will ask the SDK to only return the groups that the user has joined or is a part of.- Swift
Set Tags
This method accepts a list of tags based on which the list of groups is to be fetched. The list fetched will only contain the groups that have been tagged with the specified tags.- Swift
With Tags
This property when set to true will fetch tags data along with the list of groups.- Swift
build() method to get the object of the GroupsRequest class.
Once you have the object of the GroupsRequest class, you need to call the fetchNext() method. Calling this method will return a list of Group objects containing n number of groups where n is the limit set in the builder class.
The list of groups fetched will only have the public and password type groups. The private groups will only be available if the user is a member of the group.
- Swift
- Objective C
Sample Payload - Fetch Groups
Sample Payload - Fetch Groups
Request Parameters:
Success Response (Array of Group Objects):
Response Summary:
Sample Group Entries:
Error Response (CometChatException):
Sample Payload - Fetch Joined Groups Only
Sample Payload - Fetch Joined Groups Only
Sample Payload - Fetch Groups with Search
Sample Payload - Fetch Groups with Search
Retrieve Particular Group Details
In other words, as a logged-in user, how do I retrieve information for a specific group? To get the information of a group, you can use thegetGroup() method.
- Swift
- Objective C
On success, the
Group object containing the details of the group is returned.
Sample Payload - Get Group
Sample Payload - Get Group
Get Online Group Member Count
To get the total count of online users in particular groups, you can use thegetOnlineGroupMemberCount() method.
- Swift
[String: Int] dictionary with the GUID as the key and the online member count for that group as the value.
Sample Payload - Get Online Group Member Count
Sample Payload - Get Online Group Member Count
Request Parameters:
Success Response ([String: Int] Dictionary):
Response Format:
Error Response (CometChatException):